/*
   This file is part of the MoCA video library.
   Name: MocaError.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kuehne@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


/* -*- C++ -*-

   file.h  -- short description

   Author:    Gerald Kuehne
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: kuehne@pi4.informatik.uni-mannheim.de

   $Id: MocaError.h,v 1.1 2004/02/17 11:51:28 kopf Exp $
*/

#ifndef ERROR_H
#define ERROR_H

#include <cstdlib>
#include <cassert>
#include <iostream>
using namespace std;

void checkMemory (unsigned char* condition);
void checkMemory (unsigned char** condition);
void checkMemory (bool condition);
void checkMemory (long* condition);
void checkMemory (double* condition);

void checkValue (bool condition);
void checkValue (bool condition, char* errorMsg);
void checkValue (int condition, char* errorMsg);
void checkValue (long int condition, char* errorMsg);

#endif

