/*
   This file is part of the MoCA video library.
   Name: SubSignal.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

#ifndef SUB_SIGNAL_H
#define SUB_SIGNAL_H

// MoCA includes
#include <MocaSignal.h>

template<class T> class SubSignal : public Signal<T>
{
public:
  SubSignal (const Signal<T>& parent, const SignalPosition& position,
             const SignalSize& size);
protected:
  SignalPosition position;
}; // SubSignal

#include <SubSignal.cpt>

#endif
